/* Generated by powerful Codeforces Tool
 * Author: xxxodarap
 * Time: 2023-07-29 16:39
**/

#include<bits/stdc++.h>
using namespace std;

#define F(i, a, e) for(int i = (a); i < (e); i++)
#define R(i, e) F(i, 0, e)

typedef long long ll;
typedef long double lf;
typedef complex<lf> cp;
typedef pair<int, int> pii;

const int MAXN = 2e5 + 5;


void solve(){
    int N;
    ll res;
    cin >> N;

    int chair, counter = 0;
    F(student, 1, N+1){
        cin >> chair;
        if(chair == student) counter++;
    }

    cout << (counter + 1) / 2 << endl;
}

int main(){
    cout << fixed << setprecision(8);
    int T;
    cin >> T;
    while(T--)
        solve();
}
        
